Package org.eclipse.core.databinding.observable.masterdetail

# Interface IObservableFactory<T,E extends IObservable>

Type Parameters:
  `T` - type of the target
  `E` - type of the observable constructed by this factory; this type must extend or implement IObservable

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IObservableFactory<T,E extends IObservable>
Generates an `IObservable` when passed a target instance.

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`E`
`createObservable(T target)`
Creates an observable for the given target object.

## Method Details

### createObservable

E createObservable(T target)
Creates an observable for the given target object.

Parameters:
  `target` - the target object
Returns:
  the new observable